# go.rb

Path: | lib/bio/db/go.rb
Last Update: | Mon Sep 07 08:20:49 +0000 2009

# bio/db/go.rb - Classes for Gene Ontology

Copyright: | Copyright (C) 2003 Mitsuteru C. Nakao <n@bioruby.org>
License: | The Ruby License

     $Id: go.rb,v 1.11 2007/04/05 23:35:40 trevor Exp $

## Gene Ontology

## Example

## References

### Required files

bio/pathway net/http zlib

### Methods

wget

### Public Instance methods

wget(url)

[Source]

         # File lib/bio/db/go.rb, line 418
    418:   def wget(url)
    419:     if /http:\/\/(.+?)\// =~ url
    420:       host = $1
    421:       path = url[(url.index(host) + host.size)..url.size]
    422:     else
    423:       raise ArgumentError, "Invalid URL\n#{url}"
    424:     end
    425:
    426:     result = Net::HTTP.new(host).get(path).body
    427:   end

[Validate]